;; Copyright (C) 2017 Dominic Walden

;; This program is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <http://www.gnu.org/licenses/>.


;; The contents of my .emacs which relates to publishing my website.

(setq org-export-with-sub-superscripts nil
      org-publish-use-timestamps-flag nil
      org-html-head-include-scripts nil
      org-html-head-include-default-style nil
      org-html-link-org-files-as-html nil
      org-export-with-toc nil
      org-export-with-section-numbers nil
      org-export-with-todo-keywords nil
      org-html-postamble t
      org-html-head "<link rel=\"stylesheet\" href=\"/css/main.css\" type=\"text/css\"/>
                     <link rel=\"icon\" href=\"/assets/favicon.png\"/>"
      org-publish-project-alist
      '(("website"
	 :base-directory "~/projects/"
         :base-extension "org"
         :exclude ".*"
         :include ("index.org" "testing.org" "gnu.org" "maths.org" "programming.org")
	 :publishing-directory "~/projects/"
	 :publishing-function org-html-publish-to-html
         :with-tasks ("DONE"))))

(setq org-html-preamble-format '(("en" "  <ul>
    <li>
      <a href='/index.html'>Home</a>
    </li>
    <li>
      <a href='/testing.html'>Testing</a>
    </li>
    <li>
      <a href='/gnu.html'>GNU</a>
    </li>
    <li>
      <a href='/maths.html'>Maths</a>
    </li>
    <li>
      <a href='/programming.html'>Programming</a>
    </li>
  </ul>"))
      org-html-postamble-format '(("en" "<div class='freedom'>
	    <a href='https://my.fsf.org/register_form?referrer=12495'>
              <img src='/assets/fsf-12495.png' alt='[FSF Associate Member]'/></a>
	    <a href='https://fsfe.org'>
	      <img src='/assets/Button_Small_Fellow_No2744.png'
		   alt='[FSFE Associate Member]'/>
	    </a>
	  </div>
	  <div class='copyright'>
	    <p>
	      Copyright &#169; 2017 Dominic Walden
	    </p>
	    <p>
	      This page is licensed under the
	      <a href='https://gnu.org/licenses/fdl.html'>
		GNU Free Documentation License
	      </a>
	    </p>
	    <p>
              <a href='/assets/source.tar.gz'>Website Source</a>
	    </p>
	  </div>")))
